summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2018-04-07 17:33:11 +0300
committerMart Raudsepp <leio@gentoo.org>2018-04-07 17:33:43 +0300
commit3d0e6f9a888dbd332e82c9cae573fa21bcff3ccd (patch)
tree29240483f3ee3d239c4d618bf492c3116a25518f
parentdev-ros/collada_parser: better deps (diff)
downloadgentoo-3d0e6f9a888dbd332e82c9cae573fa21bcff3ccd.tar.gz
gentoo-3d0e6f9a888dbd332e82c9cae573fa21bcff3ccd.tar.bz2
gentoo-3d0e6f9a888dbd332e82c9cae573fa21bcff3ccd.zip
dev-vcs/gitg: add python3.6 compat
Works as well as with python3.4 (read: fails to actually import GitgExt override with an assert failure). I would outright remove the python override support, as there are no consumers of it, but that's a too big change for this revision and we need to do something soon about libgit2-0.27 compat anyways.. Package-Manager: Portage-2.3.28, Repoman-2.3.9
-rw-r--r--dev-vcs/gitg/gitg-3.26.0.ebuild2
1 files changed, 1 insertions, 1 deletions
diff --git a/dev-vcs/gitg/gitg-3.26.0.ebuild b/dev-vcs/gitg/gitg-3.26.0.ebuild
index f438d41513f..c9365256aab 100644
--- a/dev-vcs/gitg/gitg-3.26.0.ebuild
+++ b/dev-vcs/gitg/gitg-3.26.0.ebuild
@@ -3,7 +3,7 @@
EAPI=6
GNOME2_LA_PUNT="yes"
-PYTHON_COMPAT=( python{3_4,3_5} )
+PYTHON_COMPAT=( python3_{4,5,6} )
VALA_MIN_API_VERSION="0.32" # Needed when gtk+-3.20 is found
inherit gnome2 pax-utils python-r1 vala